Translate
curl --request POST \
--url https://test.api.cxconnect.ai/language/translate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"source": "<string>",
"targets": [
"<string>"
],
"meta": {
"foo": "bar"
},
"options": {},
"substitutions": [
{
"source": "<string>",
"text": "<string>",
"target": "<string>",
"substitution": "<string>"
}
]
}
'import requests
url = "https://test.api.cxconnect.ai/language/translate"
payload = {
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"source": "<string>",
"targets": ["<string>"],
"meta": { "foo": "bar" },
"options": {},
"substitutions": [
{
"source": "<string>",
"text": "<string>",
"target": "<string>",
"substitution": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document: {value: '<string>', mime_type: '<string>', language: '<string>', meta: {}},
source: '<string>',
targets: ['<string>'],
meta: {foo: 'bar'},
options: {},
substitutions: [
{
source: '<string>',
text: '<string>',
target: '<string>',
substitution: '<string>'
}
]
})
};
fetch('https://test.api.cxconnect.ai/language/translate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"en": {
"language": "en",
"value": "Hello"
}
},
"original": {
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"source": "<string>",
"targets": [
"<string>"
],
"meta": {
"foo": "bar"
},
"options": {},
"substitutions": [
{
"source": "<string>",
"text": "<string>",
"target": "<string>",
"substitution": "<string>"
}
]
},
"extra": {}
}language
Translate
The translation endpoint allows submission of a source text, with or without a specified language, to translate to an array of destination languages.
POST
/
language
/
translate
Translate
Authorizations
OAuth2BearerAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful translation result
Was this page helpful?
⌘I